
/* Общие стили для навигации */
nav {
    margin: 0; /* Убираем отступы */
    z-index: 1000; /* Обеспечиваем, чтобы навигация была поверх других элементов */
    background-color: gray;
    padding: 20px 0;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    position: relative;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2); /* Добавлен тень */
}




.modal {
    animation: fadeIn 0.5s ease-out, moveFromTop 0.5s ease-out;
}

@keyframes fadeIn {
    from { opacity: 0; }
    to { opacity: 1; }
}

@keyframes moveFromTop {
    from { transform: translateY(-100px); }
    to { transform: translateY(0); }
}

/* Контейнер для кнопок */
.button-container {
    display: flex;
    gap: 20px;
    /*background-color: gray;*/
    background: transparent; /* Убрали фон */

}

/* Кнопка входа */
.login-button,
.cart-button {
    width: 50px;
    height: 50px;
    background-color: #444;
    color: #fff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 24px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.login-button:hover,
.cart-button:hover {
    background: linear-gradient(135deg, #2a2a2a, #4a4a4a);
    transform: scale(1.1);
}


/* Селектор сортировки */
.sort-select {
    margin-top: 20px;
    width: 200px;
    padding: 10px;
    font-size: 16px;
    border: 2px solid lightslategray; /* Зеленая рамка */
    border-radius: 10px;
    background-color: #f0f0f0; /* Светлый фон */
    color: #333;
    appearance: none; /* Убирает стандартную стрелку */
    -webkit-appearance: none;
    -moz-appearance: none;
    background-image: url('https://path-to-custom-arrow-icon.svg');
    background-repeat: no-repeat;
    background-position: right 10px center; /* Расположение кастомной стрелки */
    background-size: 12px;
    transition: all 0.3s ease; /* Плавный переход */
}

.sort-select:hover {
    border-color: slategray; /* Темнее при наведении */
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.50);
}

.sort-select:focus {
    outline: none;
    border-color: dimgrey;
    background-color: #e0e0e0;
}

.sort-select option {
    padding: 10px;
    background-color: #ffffff;
    color: #333;
}


/* Стили для списка категорий в навигации */
ul {
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
    gap: 15px; /* Reduced gap size */
    list-style: none;
    background: linear-gradient(135deg, #f5f5f5, #eaeaea);
    padding: 10px; /* Reduced padding */
    border-radius: 8px; /* Slightly smaller border radius */
    box-shadow: 0 3px 10px rgba(0, 0, 0, 0.1); /* Slightly reduced shadow */
}

ul {
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.2);
    border: 1px solid rgba(255, 255, 255, 0.3);
}

ul li {
    border: 1px solid rgba(255, 255, 255, 0.3);
}



ul li {
    cursor: pointer;
    padding: 8px 16px; /* Reduced padding */
    border-radius: 6px; /* Slightly smaller border radius */
    transition: all 0.3s ease;
    background: linear-gradient(135deg, gray, dimgrey);
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1); /* Reduced shadow */
    font-weight: bold;
    text-transform: uppercase;
    color: #333;
    font-size: 0.85rem; /* Reduced font size */
}

ul li:hover {
    color: #fff;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.2); /* Reduced shadow */
    transform: translateY(-2px); /* Reduced movement */
}


/* Стили для контейнера продуктов */
.products-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 30px; /* Увеличенный промежуток между продуктами */
}

/* Стили для продукта */
.product {
    width: 300px;
    border: none; /* Убрана стандартная рамка */
    margin: 20px;
    padding: 20px;
    border-radius: 15px;
    background: linear-gradient(145deg, #e0e0e0, #ffffff); /* Эффект выпуклости */
    box-shadow: 8px 8px 20px rgba(0, 0, 0, 0.1), -8px -8px 20px rgba(255, 255, 255, 0.7); /* Двойная тень для глубины */
    transition: transform 0.4s ease, box-shadow 0.4s ease;
    position: relative;
    overflow: hidden;
    z-index: 0;
}

.product:hover {
    transform: translateY(-10px) scale(1.05); /* Более выраженное увеличение и перемещение вверх */
    box-shadow: 12px 12px 30px rgba(0, 0, 0, 0.2), -12px -12px 30px rgba(255, 255, 255, 0.9); /* Более сильная тень */
}

/* Заголовок продукта */
.product-title {
    font-size: 22px;
    margin-bottom: 10px;
    color: #333; /* Тёмный цвет текста */
    font-weight: bold;
    letter-spacing: 1px; /* Межбуквенный интервал для современного вида */
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    height: 65px;
}

/* Изображение продукта */
.product-image {
    width: 100%;
    height: 240px;
    margin-bottom: 15px;
    border-radius: 12px;
    transition: transform 0.4s ease, opacity 0.4s ease;
}

.product:hover .product-image {
    transform: scale(1.1); /* Увеличение изображения при наведении */
    opacity: 0.85; /* Легкая прозрачность */
}

/* Категория, описание и цена продукта */
.product-category,
.product-description,
.product-price {
    margin-bottom: 15px;
    color: #666; /* Светло-серый цвет текста */
}

/* Рейтинг продукта */
.product-rating {
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 16px;
    color: #555;
}

/* Цена продукта */
.product-price {
    font-size: 20px;
    font-weight: bold;
    color: #222; /* Более тёмный цвет */
}

/* Декоративный элемент */
.product::before {
    content: '';
    position: absolute;
    top: -50%;
    right: -50%;
    width: 300px;
    height: 300px;
    background: rgba(255, 255, 255, 0.15);
    border-radius: 50%;
    transition: transform 0.4s ease;
    z-index: -1;
}

.product:hover::before {
    transform: scale(1.2) translate(50%, 50%); /* Увеличение и перемещение круга */
}

/* Модальное окно */
.modal {
    display: block;
    position: fixed;
    z-index: 99999;
    padding-top: 100px;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.4);
}

/* Контент модального окна */
.modal-content {
    background-color: #fefefe;
    margin: auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
    max-width: 600px;
    border-radius: 5px;
}

/* Модальное окно справа */
.modal-content-right {
    top: 0;
    width: 50%;
    margin: auto;
    background-color: #fefefe;
    padding: 20px;
    border: 1px solid #888;
    position: absolute;
    right: 0;
    border-radius: 5px;
}

/* Изображение продукта в модальном окне */
.modal-product-image {
    width: 100%;
    height: 200px;
    object-fit: cover;
}

/* Обертка для изображения в модальном окне */
.modal-image-wrapper {
    width: 100%;
    height: 200px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 20px;
}

/* Кнопка закрытия модального окна */
.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
}

/* Стили для модального окна корзины */
.cart-header,
.cart-content,
.cart-footer {
    margin-bottom: 20px;
}

.cart-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 20px;
}

.cart-content {
    display: grid;
    gap: 10px;
}

.cart-footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.cart-title {
    font-size: 24px;
}

.cart-quantity,
.amount-span {
    font-size: 18px;
}

/* Стили для сообщения о пустой корзине */
.notification-message {
    background-color: floralwhite; /* Светло-красный фон */
    color: black; /* Красный цвет текста */
    border: 2px solid darkgrey; /* Красная рамка */
    border-radius: 8px; /* Скругленные углы */
    padding: 15px;
    margin: 20px;
    text-align: center;
    font-size: 18px;
    font-weight: bold;
    position: relative;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2); /* Легкая тень */
    animation: slideIn 0.5s ease-out; /* Анимация появления */
}



/* Иконка для сообщения (если нужно) */
.notification-message::before {
    content: '⚠️'; /* Предупреждающий знак */
    margin-right: 10px;
    font-size: 24px;
}



/* Стили для модального окна */
.modal-content {
    width: 100%;
    max-width: 400px;
    margin: 5% auto;
    padding: 20px;
    border-radius: 8px;
    background: #fff;
    box-shadow: 0 2px 10px rgba(0,0,0,0.1);
    position: relative;
}

.modal-content h2 {
    text-align: center;
    margin-bottom: 20px;
    font-size: 24px;
    font-weight: 600;
}

.modal-content input {
    width: calc(100% - 20px);
    padding: 10px;
    margin: 10px 0;
    border: 1px solid #ddd;
    border-radius: 4px;
    font-size: 16px;
}

.modal-content button {
    width: 100%;
    padding: 10px;
    margin-top: 10px;
    border: none;
    border-radius: 4px;
    background: gray;
    color: #fff;
    font-size: 16px;
    cursor: pointer;
}

.modal-content button:hover {
    background: darkgrey;
}

.modal-content .error-message {
    color: red;
    text-align: center;
    margin-top: 10px;
}


.wish-button {
    width: 50px;
    height: 50px;
    background: linear-gradient(135deg, gray,lightslategray); /* Градиент от розового к персиковому */
    color: white;
    border: none;
    border-radius: 50%; /* Круглая форма кнопки */
    cursor: pointer;
    font-size: 24px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    position: relative;
    overflow: hidden;
}

.wish-button:hover {
    transform: scale(1.1); /* Увеличение при наведении */
    box-shadow: 0 8px 15px rgba(0, 0, 0, 0.3); /* Добавление тени при наведении */
}


.wish-button::before {
    position: absolute;
    top: -50%;
    left: -50%;
    width: 200%;
    height: 200%;
    background: rgba(255, 255, 255, 0.1);
    transform: rotate(45deg);
    transition: all 0.4s ease;
}

.wish-button:hover::before {
    top: -30%;
    left: -30%;
    background: rgba(255, 255, 255, 0.2);
}

.wish-button:active {
    transform: scale(0.95); /* Легкое уменьшение при нажатии */
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2); /* Меньше тень при нажатии */
}


/* Общие стили для модального окна */
.modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 9999;
}

/* Стили для контента модального окна */
.modal-content {
    width: 90%;
    max-width: 800px;
    max-height: 80%;
    background: #fff;
    border-radius: 8px;
    padding: 20px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    position: relative;
    overflow: hidden;
}

/* Стили для заголовка корзины */
.cart-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid #ddd;
    padding-bottom: 10px;
    margin-bottom: 10px;
}

.cart-title {
    font-size: 24px;
    font-weight: 600;
}

.cart-quantity {
    font-size: 18px;
    font-weight: 400;
}

/* Стили для контейнера товаров */
.cart-content {
    max-height: 60vh; /* Высота контейнера для прокрутки */
    overflow-y: auto; /* Появляется вертикальная прокрутка */
    padding-right: 15px; /* Чтобы не было проблемы с прокруткой */
}

/* Стили для футера корзины */
.cart-footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-top: 1px solid #ddd;
    padding-top: 10px;
    margin-top: 10px;
}

.order-button {
    background: linear-gradient(45deg, lightslategray, black); /* Градиент от оранжевого к желтому */
    color: #fff; /* Белый текст */
    border: none;
    border-radius: 50px; /* Круглая кнопка */
    padding: 12px 24px;
    font-size: 18px;
    cursor: pointer;
    transition: background 0.3s, transform 0.2s;
}

.order-button:active {
    transform: scale(0.95);
    background: linear-gradient(45deg, slategrey, lightslategray);
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
}


.order-button:hover {
    background: linear-gradient(45deg, slategrey, navajowhite); /* Темнее градиент при наведении */
    transform: scale(1.05); /* Немного увеличивает кнопку */
}

.order-button:focus {
    outline: none; /* Убирает контур при фокусе */
}


.amount-span {
    font-size: 18px;
    font-weight: 600;
}
/* Стили для сообщения об ошибке */
.error-message {
    background-color: #f8d7da;
    color: #721c24;
    border: 1px solid #f5c6cb;
    border-radius: 4px;
    padding: 15px;
    margin: 10px 0;
    position: fixed;
    top: 10px;
    left: 50%;
    transform: translateX(-50%);
    max-width: 90%;
    z-index: 9999; /* Достаточно высокий z-index, чтобы быть выше других элементов */
    font-family: Arial, sans-serif;
    font-size: 16px;
    font-weight: bold;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

/* Кнопка закрытия сообщения об ошибке */
.error-message button {
    background: transparent;
    border: none;
    color: #721c24;
    font-size: 20px;
    cursor: pointer;
    margin-left: 15px;
}

/* Стили для закрытия сообщения об ошибке */
.error-message::before {
    content: '⚠️';
    margin-right: 10px;
    font-size: 20px;
}

.shop-gif {
    height: 100px;
    width: 200px;
    position: absolute;
    top: 0;
    left: 0;
    margin: 10px;
    z-index: 1000;
    overflow: hidden;
    border: none;
    display: flex;
    align-items: center;
    justify-content: center;
}

.shop-gif iframe {
    height: 100%;
    width: 100%;
    border: none;
}

.quantity-wrapper {
    display: flex;
    align-items: center;
    gap: 10px;
    background-color: #f0f0f0; /* Светлый фон */
    padding: 10px;
    border-radius: 8px;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1); /* Лёгкая тень */
}

.quantity-wrapper-span {
    font-size: 18px;
    font-weight: bold;
    color: #333; /* Темный цвет текста */
}

.plus-button,
.minus-button {
    width: 40px;
    height: 40px;
    background-color: gray;
    color: #fff;
    border: none;
    border-radius: 50%; /* Круглая кнопка */
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    transition: background 0.3s, transform 0.2s;
    font-size: 24px;
}

.plus-button:hover,
.minus-button:hover {
    background-color: dimgrey; /* Темнее при наведении */
    transform: scale(1.1); /* Увеличение при наведении */
}

.plus-button:active,
.minus-button:active {
    background-color: black; /* Еще темнее при нажатии */
    transform: scale(0.9); /* Уменьшение при нажатии */
}

/* Основные стили для модального окна */
.modal {
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 1000;
}

.modal-content {
    background-color: #fff;
    padding: 20px;
    border-radius: 10px;
    max-width: 550px;
    width: 100%;
    position: relative;
}

.close-button {
    position: absolute;
    top: 10px;
    right: 10px;
    font-size: 20px;
    cursor: pointer;
}

.modal-header {
    margin-bottom: 20px;
    text-align: center;
}

.form-input {
    width: 100%;
    padding: 10px;
    margin: 10px 0;
    border: 1px solid #ccc;
    border-radius: 5px;
}

.submit-button {
    width: 100%;
    padding: 10px;
    background-color: #28a745;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

.submit-button:hover {
    background-color: #218838;
}


/* Стили для оверлея модального окна */
.modal-overlay {
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 1000;
}

/* Контейнер модального окна */
.modal-container {
    background-color: #fff;
    padding: 20px;
    border-radius: 10px;
    max-width: 500px;
    width: 90%;
    position: relative;
    box-sizing: border-box; /* Учитываем паддинги и границы */
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.2);
}

/* Заголовок модального окна */
.modal-container h2 {
    margin: 0;
    font-size: 24px;
    font-weight: bold;
    text-align: center;
}

/* Кнопка закрытия модального окна */
.close-button {
    position: absolute;
    top: 10px;
    right: 10px;
    font-size: 24px;
    cursor: pointer;
    color: #888;
    transition: color 0.3s ease;
}

.close-button:hover {
    color: #000;
}

/* Стили для формы в модальном окне */
.modal-container form {
    display: flex;
    flex-direction: column;
    gap: 15px; /* Увеличен для улучшения пространства между элементами */
    margin-top: 20px;
}

/* Стили для полей ввода */
.modal-container input[type="text"],
.modal-container input[type="tel"] {
    width: 100%;
    padding: 12px;
    border: 1px solid #ddd;
    border-radius: 5px;
    font-size: 16px;
    box-sizing: border-box; /* Учитываем паддинги и границы */
}

/* Стили для кнопки отправки формы */
.modal-container button[type="submit"] {
    padding: 12px;
    background-color: gray;
    color: #fff;
    border: none;
    border-radius: 5px;
    font-size: 16px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.modal-container button[type="submit"]:hover {
    background-color: darkgrey;
}

/* Общий фон модального окна */
.modal-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.6);
    display: flex;
    justify-content: center;
    align-items: center;
    backdrop-filter: blur(8px);
    z-index: 1000;
    animation: fadeIn 0.3s ease-out;
}

/* Контейнер модального окна */
.modal-container {
    background: #fff;
    border-radius: 12px;
    max-width: 90%;
    width: 800px;
    max-height: 80vh; /* Высота модального окна */
    overflow: hidden;
    position: relative;
    box-shadow: 0 12px 24px rgba(0, 0, 0, 0.3);
    animation: scaleUp 0.3s ease-out;
    display: flex;
    flex-direction: column;
}

/* Заголовок модального окна */
.modal-container h2 {
    margin: 0;
    font-size: 28px;
    color: #333;
    text-align: center;
    font-family: 'Arial', sans-serif;
    padding: 20px;
    background: #f9f9f9;
    border-bottom: 2px solid #ddd;
}

/* Форма ввода */
form {
    display: flex;
    flex-direction: column;
    gap: 20px;
    margin: 20px;
}

label {
    font-weight: 600;
    color: #555;
    font-size: 16px;
}

input {
    padding: 12px;
    border: 1px solid #ddd;
    border-radius: 6px;
    font-size: 16px;
    transition: border-color 0.3s, box-shadow 0.3s;
}

input:focus {
    border-color: #007bff;
    box-shadow: 0 0 5px rgba(0, 123, 255, 0.5);
    outline: none;
}

button {
    padding: 12px;
    background-color: #007bff;
    border: none;
    border-radius: 6px;
    color: #fff;
    font-size: 16px;
    cursor: pointer;
    transition: background-color 0.3s, transform 0.2s;
}

button:hover {
    background-color: #0056b3;
}

button:active {
    transform: scale(0.98);
}

/* Кнопка закрытия */
.close-button {
    position: absolute;
    top: 15px;
    right: 15px;
    font-size: 30px;
    color: #333;
    cursor: pointer;
    transition: color 0.3s;
}

.close-button:hover {
    color: black;
}

/* Контейнер для продуктов и итоговая сумма */
.products-container {
    flex: 1;
    overflow-y: auto;
    padding: 20px;
    margin-top: 20px;
    border-top: 1px solid #ddd;
}

.products-container::-webkit-scrollbar {
    width: 8px;
}

.products-container::-webkit-scrollbar-thumb {
    background-color: gray;
    border-radius: 4px;
}

.products-container::-webkit-scrollbar-track {
    background: #f1f1f1;
}

/* Заголовок продуктов */
.products-container h3 {
    font-size: 18px;
    color: #333;
    text-align: center; /* Центрируем текст */
    font-family: 'Arial', sans-serif;
    padding-bottom: 10px;
    margin-bottom: 20px;
    position: relative;
    display: inline-block;
    border-bottom: 1px solid #ddd; /* Подчеркивание */
    width: 100%;
}

/* Стили для каждого продукта */
.order-product {
    display: flex;
    align-items: center;
    border-bottom: 1px solid #eee;
    padding: 15px 0;
    transition: background-color 0.3s;
    margin-top: 10px;
}

.order-product:hover {
    background-color: #f9f9f9;
}

.order-product img {
    width: 120px;
    height: 120px;
    object-fit: cover;
    border-radius: 6px;
    margin-right: 20px;
}

.order-product p {
    margin: 5px 0;
    font-size: 16px;
    color: #555;
}

/* Итоговая сумма */
.order-total {
    font-size: 20px;
    font-weight: 700;
    color: #333;
    margin-top: 25px;
    text-align: center;
    padding: 10px 0;
}



/* Стили для footerProductsContainer */
.footer-products-container {
    background-color: gray; /* Фон серого цвета */
    padding: 30px 0;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    position: relative;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2); /* Тень */
}

/* Стили для текста в футере */
.footer-products-container p {
    font-size: 18px;
    color: white;
    margin: 0;
    font-weight: bold;
}

/* Стили для контейнера социальных ссылок */
.footer-products-container div {
    display: flex;
    gap: 20px;
}

/* Стили для социальных ссылок */
.footer-products-container a {
    color: white;
    text-decoration: none;
    font-size: 16px;
    transition: color 0.3s ease;
}

.footer-products-container a:hover {
    color: lightslategray; /* Изменение цвета при наведении */
}

.footer__social {
    display: flex;
    align-items: center;
    gap: 20px;
}

/* Стили для футера */
.footer__social a {
    text-decoration: none;
    color: #fff;
    font-size: 1.2em;
    display: flex;
    align-items: center;
    gap: 8px;
    transition: color 0.3s ease, background-color 0.3s ease;
    padding: 5px 10px;
    border-radius: 5px; /* Скругление углов */
}

/* Стили для hover эффектов */
.footer__social a:hover {
    color: #fff; /* Цвет текста на hover */
}

/* Facebook */
.footer__social a[href*="facebook.com"]:hover {
    background-color: #1877f2; /* Facebook Blue */
}

/* Twitter */
.footer__social a[href*="twitter.com"]:hover {
    background-color: #1da1f2; /* Twitter Blue */
}

/* Instagram */
.footer__social a[href*="instagram.com"]:hover {
    background-color: #e1306c; /* Instagram Pink */
}

/* Стили для иконок */
.footer__social i {
    margin-right: 5px;
}


/* Стили для контейнера подписки */
.subscribe-container {
    background-color: #ffffff;
    padding: 30px;
    border-radius: 12px;
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.1);
    margin: 20px auto;
    max-width: 500px;
    text-align: center;
    border: 1px solid #e0e0e0;
}

/* Стили для заголовка подписки */
.subscribe-container h3 {
    margin-bottom: 15px;
    font-size: 28px;
    color: #333;
    font-weight: 600;
}

/* Стили для описания подписки */
.subscribe-container p {
    margin-bottom: 25px;
    color: #777;
    font-size: 16px;
    line-height: 1.5;
}

/* Стили для формы подписки */
.subscribe-form {
    display: flex;
    flex-direction: column;
    align-items: center;
}

/* Стили для поля ввода email */
.email-input {
    padding: 12px;
    font-size: 18px;
    border: 1px solid #ccc;
    border-radius: 6px;
    margin-bottom: 15px;
    width: 100%;
    max-width: 450px;
    box-sizing: border-box;
}

/* Стили для кнопки подписки */
.subscribe-button {
    padding: 12px 24px;
    font-size: 18px;
    color: #ffffff;
    background-color: grey;
    border: none;
    border-radius: 6px;
    cursor: pointer;
    transition: background-color 0.3s, transform 0.2s;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.subscribe-button:hover {
    background-color: dimgrey;
    transform: scale(1.05);
}

.subscribe-button:active {
    background-color: gray;
}



.fa-truck { color: #28a745; }
.fa-undo-alt { color: #ffc107; }
.fa-phone { color: #dc3545; }
.fa-book { color: #007bff; }
a {
    display: inline-flex;
    align-items: center;
    padding: 10px;
    border-radius: 5px;
    background: grey;
    border: 1px solid #ddd;
    transition: background-color 0.3s;
}

a:hover {
    background-color: #e9ecef;
}

a i {
    margin-right: 8px;
}



.dropdown {
    position: relative;
    display: inline-block;
}

.dropbtn {
    background: linear-gradient(45deg, lightslategray, gray); /* Градиент от серого к черному */
    color: #fff; /* Белый текст */
    border: none;
    border-radius: 5px; /* Прямоугольная кнопка */
    padding: 12px 24px;
    font-size: 18px;
    cursor: pointer;
    transition: background 0.3s, transform 0.2s;
    text-align: center; /* Центрирование текста */
}

/* Эффект при наведении */
.dropbtn:hover {
    background: linear-gradient(45deg, dimgrey, lightslategray); /* Инвертированный градиент */
    transform: scale(1.05); /* Легкое увеличение кнопки */
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}

.dropdown-content a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    transition: background-color 0.3s;
}

.dropdown-content a:hover {
    background-color: #f1f1f1;
}

.dropdown:hover .dropdown-content {
    display: block;
}

.dropdown:hover .dropbtn {
    background-color: lightslategray;
}

/* Стиль контейнера для полей ввода и иконок */
.input-container {
    position: relative;
    margin-bottom: 15px; /* Отступ снизу для разделения полей */
    max-width: 100%; /* Ограничение ширины контейнера */
}

/* Стиль полей ввода */
.input-container input {
    width: calc(100% - 30px); /* Уменьшение ширины с учетом иконки */
    padding-right: 30px; /* Добавление места справа для иконки */
    box-sizing: border-box; /* Учитывать padding и border в ширине */
    font-size: 14px; /* Размер шрифта для уменьшения поля ввода */
}

/* Стиль иконок редактирования */
.input-container .edit-icon {
    position: absolute;
    right: 10px; /* Расположение иконки справа */
    top: 50%;
    transform: translateY(-50%);
    font-size: 14px; /* Размер иконки */
    color: #666; /* Цвет иконки */
    pointer-events: none; /* Иконка не будет захватывать события мыши */
}

/* Основные стили для фонового оверлея модального окна */
.small-modal-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.6);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;
    animation: fadeIn 0.3s ease-out;
}

/* Стили модального окна для сообщения о входе */
.small-modal-content {
    background-color: #fff;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    padding: 20px;
    max-width: 400px; /* Размер модального окна для сообщения */
    width: 90%;
    text-align: center; /* Центрирование текста и элементов */
    animation: scaleIn 0.3s ease-out;
}

/* Заголовок */
.small-modal-content h2 {
    margin-top: 0;
    font-size: 1.5em;
    color: #333;
}

/* Сообщение */
.small-modal-content p {
    font-size: 1em;
    color: #666;
    margin: 10px 0;
}

/* Кнопка закрытия */
.small-modal-content button {
    background-color: grey;
    color: white;
    border: none;
    border-radius: 4px;
    padding: 10px 15px;
    cursor: pointer;
    font-size: 1em;
    transition: background-color 0.3s ease;
}

.small-modal-content button:hover {
    background-color: dimgrey;
}

/* Анимации */
@keyframes fadeIn {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

@keyframes scaleIn {
    from {
        transform: scale(0.9);
        opacity: 0;
    }
    to {
        transform: scale(1);
        opacity: 1;
    }
}
